Name:          gift
Version:       0.11.8.1
Release:       1mamba
Summary:       A Content Based Image Retrieval System
Group:         Applications/Graphics
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnu.org/software/gift/
Source:        https://sourceforge.net/projects/gift/files/gift/%{version}/gift-%{version}.tar.bz2
Patch0:        gift-0.1.14-linuxdoc.patch
Patch1:        00-libMRML_include_CAccessorAdmin.h.gcc-4.1.patch
Patch2:        10-libMRML_include_CAttributeList.h.gcc-4.1.patch
Patch3:        20-libMRML_include_CI18nTranslator.h.gcc-4.1.patch
Patch4:        30-libMRML_include_CSessionManager.h.gcc-4.1.patch
Patch5:        40-libGIFTAcInvertedFile_include_CInvertedFileChunk.h.gcc-4.1.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libe2fs-devel
BuildRequires: libkrb5-devel
BuildRequires: libltdl-devel
BuildRequires: libnsl-devel
BuildRequires: libogg-devel
BuildRequires: libperl
BuildRequires: libtirpc-devel
BuildRequires: libvorbis-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-XML-Parser
BuildRequires: perl-Text-Iconv
BuildRequires: perl-XML-XQL
BuildRequires: perl-XML-DOM
BuildRequires: linuxdoc-tools
BuildRequires: linuxdoc-tools-latex

%description
The GIFT (the GNU Image-Finding Tool) is a Content Based Image Retrieval System (CBIRS: http://en.wikipedia.org/wiki/CBIR). It enables you to do Query By Example (QBE: http://en.wikipedia.org/wiki/QBE) on images, giving you the opportunity to improve query results by relevance feedback. For processing your queries the program relies entirely on the content of the images, freeing you from the need to annotate all images before querying the collection.
The GIFT comes with a tool which lets you index whole directory trees containing images in one go. You then can use the GIFT server and its clients, to browse your own image collections.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The GIFT (the GNU Image-Finding Tool) is a Content Based Image Retrieval System (CBIRS: http://en.wikipedia.org/wiki/CBIR). It enables you to do Query By Example (QBE: http://en.wikipedia.org/wiki/QBE) on images, giving you the opportunity to improve query results by relevance feedback. For processing your queries the program relies entirely on the content of the images, freeing you from the need to annotate all images before querying the collection.
The GIFT comes with a tool which lets you index whole directory trees containing images in one go. You then can use the GIFT server and its clients, to browse your own image collections.
This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/gift-setup
%{_bindir}/giftd
%{_libdir}/libgift.so.*
%{_libdir}/libgiftproto.so.*
%dir %{_datadir}/giFT
%{_datadir}/giFT/*
%{_mandir}/man1/giftd.1*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libgift
%{_includedir}/libgift/*
%{_libdir}/libgift.la
%{_libdir}/libgift.so
%{_libdir}/libgiftproto.la
%{_libdir}/libgiftproto.so
%{_libdir}/pkgconfig/libgift.pc

%changelog
* Wed Dec 08 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.11.8.1-1mamba
- update to 0.11.8.1

* Mon Oct 22 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.14-1mamba
- package created by autospec
